"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Multi = void 0;
/**
 * Copyright (c) Jonathan Cardoso Machado. All Rights Reserved.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
const binding_1 = require("./binding");
/**
 * This is a Node.js wrapper around the binding {@link MultiNativeBinding | native Multi class}.
 *
 * The only extra is that it provides a static field `option`.
 *
 * @public
 */
class Multi extends binding_1.NODE_LIBCURL_BINDING.Multi {
}
exports.Multi = Multi;
/**
 * Options to be used with {@link setOpt | `setOpt`}.
 *
 * See the official documentation of [`curl_multi_setopt()`](http://curl.haxx.se/libcurl/c/curl_multi_setopt.html)
 *  for reference.
 *
 * `CURLMOPT_MAXCONNECTS` becomes `Multi.option.MAXCONNECTS`
 */
Multi.option = binding_1.NODE_LIBCURL_BINDING.Curl.multi;
//# sourceMappingURL=Multi.js.map