"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Share = void 0;
/**
 * Copyright (c) Jonathan Cardoso Machado. All Rights Reserved.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
const binding_1 = require("./binding");
const CurlShareOption_1 = require("./enum/CurlShareOption");
/**
 * This is a Node.js wrapper around the binding {@link EasyNativeBinding | native Easy class}.
 *
 * The only extra is that it provides a static field `option` and `lock`.
 *
 * @public
 */
class Share extends binding_1.NODE_LIBCURL_BINDING.Share {
}
exports.Share = Share;
/**
 * Options to be used with {@link setOpt | `setOpt`}.
 *
 * See the official documentation of [`curl_share_setopt()`](http://curl.haxx.se/libcurl/c/curl_share_setopt.html)
 *  for reference.
 *
 * `CURLSHOPT_SHARE` becomes `Share.option.SHARE`
 *
 * @deprecated Use {@link CurlShareOption|`CurlShareOption`} directly instead.
 */
Share.option = CurlShareOption_1.CurlShareOption;
//# sourceMappingURL=Share.js.map