import type { CurlOptionValueType } from '../../generated/CurlOption';
import type { ImpersonateConfig } from '../types';
import { ChromeBrowser } from './chrome';
import { EdgeBrowser } from './edge';
import { FirefoxBrowser } from './firefox';
import { SafariBrowser } from './safari';
export { getChromeConfig } from './chrome';
export { getEdgeConfig } from './edge';
export { getFirefoxConfig } from './firefox';
export { getSafariConfig } from './safari';
export declare const Browser: {
    Safari18_0: SafariBrowser.Safari18_0;
    Safari18_3: SafariBrowser.Safari18_3;
    Safari: SafariBrowser.Safari18_3;
    Firefox135: FirefoxBrowser.Firefox135;
    Firefox136: FirefoxBrowser.Firefox136;
    Firefox: FirefoxBrowser.Firefox136;
    Edge101: EdgeBrowser.Edge101;
    Edge133: EdgeBrowser.Edge133;
    Edge134: EdgeBrowser.Edge134;
    Edge: EdgeBrowser.Edge134;
    Chrome133: ChromeBrowser.Chrome133;
    Chrome134: ChromeBrowser.Chrome134;
    Chrome: ChromeBrowser.Chrome134;
};
export type Browser = ChromeBrowser | EdgeBrowser | FirefoxBrowser | SafariBrowser;
export declare const BROWSER_CONFIGS: {
    safari18_0: ImpersonateConfig;
    safari18_3: ImpersonateConfig;
    firefox135: ImpersonateConfig;
    firefox136: ImpersonateConfig;
    edge101: ImpersonateConfig;
    edge133: ImpersonateConfig;
    edge134: ImpersonateConfig;
    chrome133a: ImpersonateConfig;
    chrome134: ImpersonateConfig;
};
export declare function getCurlOptionsFromBrowser(browser: Browser): CurlOptionValueType;
export declare function getCurlOptionsFromBrowserConfig(config: ImpersonateConfig): CurlOptionValueType;
//# sourceMappingURL=index.d.ts.map