"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CurlJa3Extension = void 0;
/**
 * ```sh
 * grep -Rh '#define TLSEXT_TYPE' deps/curl-impersonate/build/boringssl-23768dca563c4e62d48bb3675e49e34955dced12/include/openssl | grep -v '\\' | sed -nE 's/.+ (TLSEXT.+)? (.+)/\1 = \2,/p'
 * ```
 */
var CurlJa3Extension;
(function (CurlJa3Extension) {
    CurlJa3Extension[CurlJa3Extension["TLSEXT_TYPE_record_size_limit"] = 28] = "TLSEXT_TYPE_record_size_limit";
    CurlJa3Extension[CurlJa3Extension["TLSEXT_TYPE_server_name"] = 0] = "TLSEXT_TYPE_server_name";
    CurlJa3Extension[CurlJa3Extension["TLSEXT_TYPE_status_request"] = 5] = "TLSEXT_TYPE_status_request";
    CurlJa3Extension[CurlJa3Extension["TLSEXT_TYPE_ec_point_formats"] = 11] = "TLSEXT_TYPE_ec_point_formats";
    CurlJa3Extension[CurlJa3Extension["TLSEXT_TYPE_signature_algorithms"] = 13] = "TLSEXT_TYPE_signature_algorithms";
    CurlJa3Extension[CurlJa3Extension["TLSEXT_TYPE_srtp"] = 14] = "TLSEXT_TYPE_srtp";
    CurlJa3Extension[CurlJa3Extension["TLSEXT_TYPE_application_layer_protocol_negotiation"] = 16] = "TLSEXT_TYPE_application_layer_protocol_negotiation";
    CurlJa3Extension[CurlJa3Extension["TLSEXT_TYPE_padding"] = 21] = "TLSEXT_TYPE_padding";
    CurlJa3Extension[CurlJa3Extension["TLSEXT_TYPE_extended_master_secret"] = 23] = "TLSEXT_TYPE_extended_master_secret";
    CurlJa3Extension[CurlJa3Extension["TLSEXT_TYPE_quic_transport_parameters_legacy"] = 65445] = "TLSEXT_TYPE_quic_transport_parameters_legacy";
    CurlJa3Extension[CurlJa3Extension["TLSEXT_TYPE_quic_transport_parameters"] = 57] = "TLSEXT_TYPE_quic_transport_parameters";
    CurlJa3Extension[CurlJa3Extension["TLSEXT_TYPE_cert_compression"] = 27] = "TLSEXT_TYPE_cert_compression";
    CurlJa3Extension[CurlJa3Extension["TLSEXT_TYPE_session_ticket"] = 35] = "TLSEXT_TYPE_session_ticket";
    CurlJa3Extension[CurlJa3Extension["TLSEXT_TYPE_supported_groups"] = 10] = "TLSEXT_TYPE_supported_groups";
    CurlJa3Extension[CurlJa3Extension["TLSEXT_TYPE_pre_shared_key"] = 41] = "TLSEXT_TYPE_pre_shared_key";
    CurlJa3Extension[CurlJa3Extension["TLSEXT_TYPE_early_data"] = 42] = "TLSEXT_TYPE_early_data";
    CurlJa3Extension[CurlJa3Extension["TLSEXT_TYPE_supported_versions"] = 43] = "TLSEXT_TYPE_supported_versions";
    CurlJa3Extension[CurlJa3Extension["TLSEXT_TYPE_cookie"] = 44] = "TLSEXT_TYPE_cookie";
    CurlJa3Extension[CurlJa3Extension["TLSEXT_TYPE_psk_key_exchange_modes"] = 45] = "TLSEXT_TYPE_psk_key_exchange_modes";
    CurlJa3Extension[CurlJa3Extension["TLSEXT_TYPE_certificate_authorities"] = 47] = "TLSEXT_TYPE_certificate_authorities";
    CurlJa3Extension[CurlJa3Extension["TLSEXT_TYPE_signature_algorithms_cert"] = 50] = "TLSEXT_TYPE_signature_algorithms_cert";
    CurlJa3Extension[CurlJa3Extension["TLSEXT_TYPE_key_share"] = 51] = "TLSEXT_TYPE_key_share";
    CurlJa3Extension[CurlJa3Extension["TLSEXT_TYPE_renegotiate"] = 65281] = "TLSEXT_TYPE_renegotiate";
    CurlJa3Extension[CurlJa3Extension["TLSEXT_TYPE_delegated_credential"] = 34] = "TLSEXT_TYPE_delegated_credential";
    CurlJa3Extension[CurlJa3Extension["TLSEXT_TYPE_application_settings_old"] = 17513] = "TLSEXT_TYPE_application_settings_old";
    CurlJa3Extension[CurlJa3Extension["TLSEXT_TYPE_application_settings"] = 17613] = "TLSEXT_TYPE_application_settings";
    CurlJa3Extension[CurlJa3Extension["TLSEXT_TYPE_encrypted_client_hello"] = 65037] = "TLSEXT_TYPE_encrypted_client_hello";
    CurlJa3Extension[CurlJa3Extension["TLSEXT_TYPE_ech_outer_extensions"] = 64768] = "TLSEXT_TYPE_ech_outer_extensions";
    CurlJa3Extension[CurlJa3Extension["TLSEXT_TYPE_certificate_timestamp"] = 18] = "TLSEXT_TYPE_certificate_timestamp";
    CurlJa3Extension[CurlJa3Extension["TLSEXT_TYPE_next_proto_neg"] = 13172] = "TLSEXT_TYPE_next_proto_neg";
    CurlJa3Extension[CurlJa3Extension["TLSEXT_TYPE_channel_id"] = 30032] = "TLSEXT_TYPE_channel_id";
})(CurlJa3Extension || (exports.CurlJa3Extension = CurlJa3Extension = {}));
//# sourceMappingURL=CurlJa3Extension.js.map